
QGIS Application - Bug report #11466

Processing script crashes in batch mode with greater than 2 rows (Windows only)

2014-10-22 12:19 PM - jon sellars

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:2.4.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 19741

Description

I have written a script for the processing toolbox. When I run it in batch mode with 3 or more rows in the batch interface, the program

errors out on the third row.

"IOError: [Errno 9] Bad file descriptor"

The first two rows process as expected and if there are only two rows the process completes and exits normally.

Seems to only affect windows as the same script works in linux.

Relevant section of the processing log attached.

History

#1 - 2014-10-26 03:22 AM - Giovanni Manghi

- Assignee set to Victor Olaya

- Category set to 94

- Status changed from Open to Feedback

Can you please give a try to QGIS master and/or attach your model and sample data? thanks.

#2 - 2014-10-27 04:56 AM - jon sellars

- File maptite.tar.gz added

Script and input file attached as well as a screen grab of settings for batch. There is info in the .help file. Basically the script determines suitable areas of

marsh for restoration efforts based on knowledge of a plants elevation range.

Will try master.

#3 - 2014-10-29 12:32 PM - Giovanni Manghi

works just fine for me on qgis master/windows.

#4 - 2014-10-30 04:51 AM - jon sellars
Thanks! Trying to get master installed on our work machines. Will reply when I do.

#5 - 2014-10-31 06:56 AM - jon sellars

- Status changed from Feedback to Closed

Confirmed working in master. Marking it closed. THX!! -Jon

#6 - 2015-06-07 04:33 AM - Giovanni Manghi

- Category changed from 94 to Processing/Core

Files

processing.log 2.44 KB 2014-10-22 jon sellars

maptite.tar.gz 90.1 KB 2014-10-27 jon sellars
